#pragma once
#include <map>
struct M_LuckTurnCFGData
{
	//编号
	int mID;
	//道具
	int mItem;
	//数量
	int mCount;
	//权重
	int mWeight;
};

class M_LuckTurnCFG
{
public:
private:
	static std::auto_ptr<M_LuckTurnCFG> msSingleton;
public:
	int GetCount();
	const M_LuckTurnCFGData* GetData(int ID);
	const std::map<int, M_LuckTurnCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_LuckTurnCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_LuckTurnCFGData> mMapData;
};
